Bug 90167 - [softpipe] piglit depthstencil-default_fb-drawpixels-32f_24_8_rev regression
Summary: [softpipe] piglit depthstencil-default_fb-drawpixels-32f_24_8_rev regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-24 22:34 UTC by Vinson Lee
Modified: 2015-04-27 16:53 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-04-24 22:34:27 UTC
mesa: 13b2e6a520d1f8979fc4da1dd2c6811585b16203 (master 10.6.0-devel)

$ ./bin/fbo-depthstencil drawpixels default_fb 32F_24_8_REV -auto
Testing default_fb.
Testing 32F_24_8_REV.
Testing glDrawPixels(depthstencil).
Stencil at 0,0   Expected: 0x33   Observed: 0xff
Stencil at 1,0   Expected: 0x33   Observed: 0xff
Stencil at 2,0   Expected: 0x33   Observed: 0xff
Stencil at 3,0   Expected: 0x33   Observed: 0xff
Stencil at 4,0   Expected: 0x33   Observed: 0xff
Stencil at 5,0   Expected: 0x33   Observed: 0xff
Stencil at 6,0   Expected: 0x33   Observed: 0xff
Stencil at 7,0   Expected: 0x33   Observed: 0xff
Stencil at 8,0   Expected: 0x33   Observed: 0xff
Stencil at 9,0   Expected: 0x33   Observed: 0xff
Stencil at 10,0   Expected: 0x33   Observed: 0xff
Stencil at 11,0   Expected: 0x33   Observed: 0xff
Stencil at 12,0   Expected: 0x33   Observed: 0xff
Stencil at 13,0   Expected: 0x33   Observed: 0xff
Stencil at 14,0   Expected: 0x33   Observed: 0xff
Stencil at 15,0   Expected: 0x33   Observed: 0xff
Stencil at 16,0   Expected: 0x33   Observed: 0xff
Stencil at 17,0   Expected: 0x33   Observed: 0xff
Stencil at 18,0   Expected: 0x33   Observed: 0xff
...
Total failures: 14884
PIGLIT: {"result": "fail" }


8a41cd2407c1d219cba98add69609ce3a65b5435 is the first bad commit
commit 8a41cd2407c1d219cba98add69609ce3a65b5435
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Apr 22 17:13:06 2015 +1000

    softpipe: fix stencil write to use an integer value
    
    This fixes a number of regressions since
    61393bdcdc3b63624bf6e9730444f5e9deeedfc8
    u_tile: fix stencil texturing tests under softpipe
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=89960
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Roland Scheidegger <sroland@vmware.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

:040000 040000 c98019756adb79e5dd7b8b6f718cc61036c3a502 3a62a6bff9e5ea0584b4d93d0e1d81defa05cc6a M	src
bisect run success
Comment 1 Roland Scheidegger 2015-04-27 16:53:30 UTC
Fixed by 7c3d1c132eea83fb257cbc473a8a79638ddc3014


bug/show.html.tmpl processed on Jan 16, 2017 at 21:42:20.
(provided by the Example extension).